package setagaya.fes;

import android.content.Intent;
import android.view.MotionEvent;
import android.view.View;
import android.view.View.OnTouchListener;
import android.view.WindowManager;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.LinearLayout;

public class DragViewListener implements OnTouchListener {

	private View parent;
	private WindowManager windowManager;
	private ImageView dragView;
	private Button dragView2;
	private LinearLayout dragView3;
	private int oldx;
	private int oldy;
	
	public DragViewListener(View parent, WindowManager windowManager, ImageView dragView, Button dragView2, LinearLayout dragView3){
		this.parent = parent;
		this.windowManager = windowManager;
		this.dragView = dragView;
		this.dragView2 = dragView2;
		this.dragView3 = dragView3;
	}
	
	@Override
	public boolean onTouch(View view, MotionEvent event){
		int x = (int) event.getRawX();
		int y = (int) event.getRawY();
		
		switch(event.getAction()){
		case MotionEvent.ACTION_MOVE:
			/*
			int left = dragView.getLeft() + (x - oldx);
			int top = dragView.getTop() + (y - oldy);

			int left2 = dragView2.getLeft() + (x - oldx);
			int top2 = dragView2.getTop() + (y - oldy);
			
			int left3 = dragView3.getLeft() + (x - oldx);
			int top3 = dragView3.getTop() + (y - oldy);
			
			dragView.layout(left, top, left + dragView.getWidth(), top+dragView.getHeight());
			dragView2.layout(left2, top2, left2 + dragView2.getWidth(), top2+dragView2.getHeight());
			dragView3.layout(left3, top3, left3 + dragView3.getWidth(), top3+dragView3.getHeight());
			*/
			WindowManager.LayoutParams params = (WindowManager.LayoutParams)parent.getLayoutParams();
			params.x += x - oldx;
			params.y += y - oldy;
			windowManager.updateViewLayout(parent, params);
			break;
			
		case MotionEvent.ACTION_UP:	
			break;
		}
		oldx = x;
		oldy = y;
		
		return true;
	}
}
