package setagaya.fes;

import android.os.Bundle;
import android.app.Activity;
import android.content.Intent;
import android.view.Menu;
import android.view.View;
import android.widget.Button;

public class MainActivity extends Activity {

	Activity act = MainActivity.this;
	boolean sw = false;
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		
		Button start = (Button)findViewById(R.id.button_start);
		Button end = (Button)findViewById(R.id.button_end);
		
		final data d = new data();
		
		start.setOnClickListener(new View.OnClickListener() {
			@Override
			public void onClick(View v) {
				if(!sw){
					d.setAct(act);
					startService(new Intent(MainActivity.this, LayerService.class));
					sw = true;
				}
			}
		});
		
		end.setOnClickListener(new View.OnClickListener() {
			@Override
			public void onClick(View v) {
				if(sw){
					stopService(new Intent(MainActivity.this, LayerService.class));
					sw = false;
				}
			}
		});
		
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.activity_main, menu);
		return true;
	}

}
